org.apache.http

## Interface Header

- All Known Subinterfaces:
    FormattedHeader
  All Known Implementing Classes:
    BasicHeader, BufferedHeader

      public interface Header

  Represents an HTTP header field.

  The HTTP header fields follow the same generic format as that given in Section 3.1 of RFC 822. Each header field consists of a name followed by a colon (":") and the field value. Field names are case-insensitive. The field value MAY be preceded by any amount of LWS, though a single SP is preferred.

           message-header = field-name ":" [ field-value ]
           field-name     = token
           field-value    = *( field-content | LWS )
           field-content  = <the OCTETs making up the field-value
                            and consisting of either *TEXT or combinations
                            of token, separators, and quoted-string>

  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HeaderElement[]` | `getElements()` Parses the value.
    `String` | `getName()` Get the name of the Header.
    `String` | `getValue()` Get the value of the Header.

- - ### Method Detail

    - #### getName

          String getName()

      Get the name of the Header.
      Returns:
        the name of the Header, never `null`

    - #### getValue

          String getValue()

      Get the value of the Header.
      Returns:
        the value of the Header, may be `null`

    - #### getElements

          HeaderElement[] getElements()
                                      throws ParseException

      Parses the value.
      Returns:
        an array of `HeaderElement` entries, may be empty, but is never `null`
      Throws:
        `ParseException`

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.